body {
    height: 100vh;
    margin: 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-family: 'Arial', sans-serif;
    background-color: #ffffff;
}

.main-container {
    display: flex;
    width: 100%;
    height: 100%;
}

.login-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 30%;
    padding: 20px;
    background: rgba(255, 255, 255, 0.2);
    box-shadow: 0 4px 30px rgba(0, 0, 0, 0.1);
    backdrop-filter: blur(10px);
    -webkit-backdrop-filter: blur(10px);
    border: 1px solid rgba(255, 255, 255, 0.3);
    border-radius: 15px;
}

.logo img {
    width: 150px;
    margin-bottom: 10px;
}

.login-box {
    width: 100%;
    text-align: center;
}

.login-box h2 {
    color: #000;
    margin-bottom: 20px;
    font-size: 24px;
}

.input-container {
    margin-bottom: 15px;
    text-align: left;
}

.input-container label {
    display: block;
    color: #000;
    margin-bottom: 5px;
}

.input-container input {
    width: 100%;
    padding: 10px;
    border-radius: 10px;
    border: 1px solid #ccc;
    box-sizing: border-box;
    transition: border-color 0.3s, box-shadow 0.3s;
}

.input-container input:focus {
    border-color: #04AA6D;
    box-shadow: 0 0 5px rgba(4, 170, 109, 0.5);
}

button {
    width: 100%;
    padding: 10px;
    border: none;
    border-radius: 10px;
    background-color: #04AA6D;
    color: #fff;
    font-size: 16px;
    cursor: pointer;
    transition: background-color 0.3s, box-shadow 0.3s;
}

button:hover {
    background-color: #039a58;
    box-shadow: 0 4px 10px rgba(4, 170, 109, 0.5);
}

.background-image {
    width: 70%;
    height: 100%;
    background: url('imgs/Data-report.gif') no-repeat center center;
    background-size: cover 50px;
    position: relative;
}



.copyright {
    color: #000;
    margin-top: 20px;
    font-size: 12px;
}

@media (max-width: 768px) {
    .main-container {
        flex-direction: column;
    }

    .background-image {
        display: none;
    }

    .login-container {
        width: 90%;
        height: 100%;
    }
}
